#pragma once
#include "resource.h"
#include "apl_gui.h"

#include "afxwin.h"
#include "afxdtctl.h"


// CFindAdjustUserDateDlg dialog

class CFindAdjustUserDateDlg : public CaplTranslateDialog
{
	DECLARE_DYNAMIC(CFindAdjustUserDateDlg)

public:
	CFindAdjustUserDateDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CFindAdjustUserDateDlg();

// Dialog Data
	enum { IDD = IDD_FIND_ADJUST_USER_DATE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButtonUserCreate();
	afx_msg void OnBnClickedButtonUserUpdate();
	afx_msg void OnBnClickedCheck();
	CButton m_BtnSelectUserCreate;
	CButton m_BtnSelectUserUpdate;	
	CString m_NameUserCreate;
	CString m_NameUserUpdate;
	CDateTimeCtrl m_CtrlDateCreate;
	CDateTimeCtrl m_CtrlDateUpdate;
	BOOL m_IsUserCreate;
	BOOL m_IsUserUpdate;
	BOOL m_IsDateCreate;
	BOOL m_IsDateUpdate;
	CaplInstance *m_user_create;
	CaplInstance *m_user_update;

	bool m_read_only;
	CaplAPI *m_api;

	virtual BOOL OnInitDialog();
	
	void CheckControls();

	CButton m_ChkUserCreate;
	CButton m_ChkUserUpdate;
	CButton m_ChkDateCreate;
	CButton m_ChkDateUpdate;
};

